Copyright: Copyright 1995, Novell, Inc.


PerfectFit File Dialogs ALM Functions
PerfectFit File Dialog ALM Functions

File Open

Save As

Select Directory


File Open

Platform	MS Windows

Action	Returns a fully qualified path and file name, but does not open the file.

Input Parameters

Dialog Title	The text to be displayed on the title bar of the dialog.  If no text is entered, then "Open" is used.  Type Optional Text

OK Button Text	The text to be displayed on the "OK" button (the action button).  If there is no text specified then "OK" is used.  Type Optional Text

Default Directory	The initial directory to open the dialog in.  An error will occur if the directory does not exist.  If no directory is specified, the windows default directory will be used.  Type Optional Text

File Mask	The file mask to use in displaying the files in the filename list box.  *.* is used by default.   Type Optional Text

Output Parameters

File Name	Contains the full path and filename of  the selected file.  Type Required Text

Flows

Selected	Followed after the user selects a directory by selecting the OK button on the dialog.

Canceled	Followed if the user cancels the dialog in any of the normal windows methods.


Save As

Platform	MS Windows

Action	Returns an existing file name, or a new file name as entered by the user, but does not save the file.

Input Parameters

Dialog Title	The text to be displayed on the title bar of the dialog.  If no text is entered, then "Open" is used.  Type Optional Text

OK Button Text	The text to be displayed on the "OK" button (the action button).  If there is no text specified then "OK" is used. Type Optional Text

Default Directory	The initial directory to open the dialog in.  An error will occur if the directory does not exist.  If no directory is specified, the windows default directory will be used.  Type Optional Text

File Mask	This is the file mask to use in displaying the files in the filename box. *.* is used by default.  Type Optional Text

File Name	Contains the filename to display in the filename edit control when the dialog is opened.  Type Optional Text

Output Parameters

File Name	Contains the full path and filename of the selected file.  Type Required Text

Flows

Selected	Followed after the user selects a file name and directory by selecting the OK button on the dialog.

Canceled	Followed if the user cancels the dialog in any of the normal windows methods.


Select Directory

Platform	MS Windows

Action	Returns an existing directory, or creates a new one as entered, but does not change to that directory.

Input Parameters

Default Directory	The initial directory to open the dialog in.  An error will occur if the directory does not exist.  If no directory is specified, 	the windows default will be used.  Type Optional Text

Output Parameters

Returned Directory	Contains the full path of a directory selected from the Select Directory dialog.  Type Required Text

Flows

Selected	Followed after the user selects a directory by selecting the OK button on the dialog.

Canceled	Followed if the user cancels the dialog in any of the normal windows methods.